"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103db4c20>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103db4d60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103db4cc0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103db4e00>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103db4ea0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103db4f40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103db4fe0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103db5080>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103db5120>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103db51c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103db5260>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103db5300>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103db53a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103db5440>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103db54e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103db5580>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103db5620>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103db56c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103db5760>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103db5800>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103db58a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103db5940>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103db59e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103db5a80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103db5b20>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103db5bc0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103db5c60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103db5d00>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103db5da0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103db5e40>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103db5ee0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103db5f80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103db6020>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103db60c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103db6160>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103db6200>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103db62a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103db6340>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103db63e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103db6480>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103db6520>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103db65c0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103db6660>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103db6700>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103db67a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103db6840>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103db68e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103db6980>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103db6a20>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103db6ac0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103db6b60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103db6c00>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103db6ca0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103db6d40>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103db6de0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103db6e80>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103db6f20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103db6fc0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103db7060>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103db7100>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103db71a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103db7240>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103db72e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103db7380>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103db7420>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103db74c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103db7560>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103db7600>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103db76a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103db7740>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103db77e0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103db7880>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103db7920>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103db79c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103db7a60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103db7b00>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103db7ba0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103db7c40>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103db7ce0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103db7e20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103db7d80>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103db7ec0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103db7f60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103dc4040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103dc40e0>)]
name: str = 'fr_HOCCN'
